Bug 239319 - CVE-2007-1454: Cross-site scripting
CVE-2007-1454: Cross-site scripting
Status: CLOSED DUPLICATE of bug 240165
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 11:19 EDT by paul boin
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 11:59:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description paul boin 2007-05-07 11:19:06 EDT
Like the other PHP bugs, this on is mentioned in 230556, but not explicitly
closed and documented in any errata that I can find.

-------------------------------------------------------------------

ext/filter in PHP 5.2.0, when FILTER_SANITIZE_STRING is used with the
FILTER_FLAG_STRIP_LOW flag, does not properly strip HTML tags, which allows
remote attackers to conduct cross-site scripting (XSS) attacks via HTML with a
'<' character followed by certain whitespace characters, which passes one filter
but is collapsed into a valid tag, as demonstrated using %0b.

    * MISC:http://www.php-security.org/MOPB/MOPB-18-2007.html
    * DEBIAN:DSA-1283
    * URL:http://www.debian.org/security/2007/dsa-1283
    * SECUNIA:25062
    * URL:http://secunia.com/advisories/25062
Comment 1 Joe Orton 2007-05-15 11:59:14 EDT

*** This bug has been marked as a duplicate of 240165 ***

Note You need to log in before you can comment on or make changes to this bug.